Package org.eclipse.rdf4j.sparqlbuilder.core

## Class StandardQueryElementCollection<T extends QueryElement>

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<T>
  - - org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection<T>

- Type Parameters:
    `T` - the type of `QueryElement`s in the collection
  All Implemented Interfaces:
    `QueryElement`
  Direct Known Subclasses:
    `Dataset`, `Expression`, `GroupBy`, `Having`, `OrderBy`, `PrefixDeclarations`, `RdfPredicateObjectList`, `TriplesTemplate`

      public abstract class StandardQueryElementCollection<T extends QueryElement>
      extends QueryElementCollection<T>

  A `QueryElementCollection` that follows a more standard way of converting to a query string

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StandardQueryElementCollection()` |
    `protected` | `StandardQueryElementCollection​(String delimeter)` |
    `protected` | `StandardQueryElementCollection​(String operatorName, String delimeter)` |
    `protected` | `StandardQueryElementCollection​(String operatorName, String delimiter, Collection<T> collection)` |
    `protected` | `StandardQueryElementCollection​(String operatorName, String delimiter, Function<String,​String> wrapperMethod, Collection<T> collection)` |
    `protected` | `StandardQueryElementCollection​(String delimeter, Collection<T> collection)` |
    `protected` | `StandardQueryElementCollection​(String operatorName, Function<String,​String> wrapperMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getQueryString()` |
    `protected void` | `printBodyIfEmpty​(boolean printBodyIfEmpty)` |
    `protected void` | `printNameIfEmpty​(boolean printNameIfEmpty)` |
    `protected void` | `resetWrapperMethod()` |
    `protected void` | `setOperatorName​(String operatorName)` |
    `protected void` | `setOperatorName​(String operatorName, boolean pad)` |
    `protected void` | `setWrapperMethod​(Function<String,​String> wrapperMethod)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection()

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String delimeter)

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String operatorName,
                                                   String delimeter)

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String delimeter,
                                                   Collection<T> collection)

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String operatorName,
                                                   Function<String,​String> wrapperMethod)

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String operatorName,
                                                   String delimiter,
                                                   Collection<T> collection)

    - #### StandardQueryElementCollection

          protected StandardQueryElementCollection​(String operatorName,
                                                   String delimiter,
                                                   Function<String,​String> wrapperMethod,
                                                   Collection<T> collection)

  - ### Method Detail

    - #### setOperatorName

          protected void setOperatorName​(String operatorName)

    - #### setOperatorName

          protected void setOperatorName​(String operatorName,
                                         boolean pad)

    - #### setWrapperMethod

          protected void setWrapperMethod​(Function<String,​String> wrapperMethod)

    - #### resetWrapperMethod

          protected void resetWrapperMethod()

    - #### printBodyIfEmpty

          protected void printBodyIfEmpty​(boolean printBodyIfEmpty)

    - #### printNameIfEmpty

          protected void printNameIfEmpty​(boolean printNameIfEmpty)

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Overrides:
        `getQueryString` in class `QueryElementCollection<T extends QueryElement>`
      Returns:
        the String representing the SPARQL syntax of this element